> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get total customer entitlements

> Get total entitlements for a customer



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /entitlements/{entitlement_id}/customer/{customer_id}/total
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /entitlements/{entitlement_id}/customer/{customer_id}/total:
    get:
      tags:
        - Entitlements
      summary: Get total customer entitlements
      description: Get total entitlements for a customer
      operationId: Get-total-customer-entitlements
      parameters:
        - name: entitlement_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Entitlement Id
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Customer Id
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: End Date
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TotalEntitlementCustomerResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TotalEntitlementCustomerResponseSchema:
      properties:
        entitlement:
          type: string
          format: uuid
          title: Entitlement
          description: Entitlement ID
        customer:
          type: string
          format: uuid
          title: Customer
          description: Customer ID
        quantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Quantity
          description: Entitlement Units assigned
      type: object
      required:
        - entitlement
        - customer
      title: TotalEntitlementCustomerResponseSchema
      description: Create Entitlement Customer Request Schema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````